#include <bits/stdc++.h>

using namespace std;
ifstream f1("bai4_14.inp");
ofstream f2("bai4_14.out");
int main()
{   string s;
    long long i,d=0,tp=0;
    f1>>s;
    for (i=s.length()-1;i>=0;i--)
    {   if (s[i]=='1')
            { tp=tp+pow(2,d);}
            d++;
    }
    f2<<tp;
    return 0;
}
